Subject: bug#46491: [feature/pgtk] Unused macro warning in image.c without ImageMagick

From: Yuuki Harano <[email-masked]>
Date: Sun, 14 Feb 2021 11:20:19 +0900 (JST)

On Sat, 13 Feb 2021 23:05:45 +0000,
	Alan Third <[email-masked]> wrote:
> I think your patch looks right, but I'm confused as to why this is in
> the PGTK branch at all. The imagemagick transforms are intentionally
> excluded from the native transforms, but this disables the imagemagick
> transforms completely and, presumably, replaces them with native
> transforms.

I wanted to make imagemagick images not blurry in image-mode on
scale x2.0 monitor.

With the exclusion, imagemagick generates scaled image pixel data,
and the image is rendered twice in size, so it is blurry.
Without the exclusion, imagemagick generates original image pixel data,
and the image may not be enlarged (but shrinked), so it may not be blurry.

For other than imagemagick, like png, original image pixel data is generated,
and it is not blurry on scale x2.0 monitor.

So I disabled it.

-- 
Yuuki Harano